import Accordion from '@mui/material/Accordion'
import AccordionSummary from '@mui/material/AccordionSummary'
import AccordionDetails from '@mui/material/AccordionDetails'

import { ContentHeader } from 'shared/components/ContentHeader'

import { MinusIcon, PlusIcon } from 'app/images'
import s from './FaqPage.module.scss'
import { useMemo, useState } from 'react'

export const FaqPage = () => {
  const [expanded, setExpanded] = useState<string | false>(false)

  const handleChange = (panel: string) => (event: React.SyntheticEvent, isExpanded: boolean) => {
    setExpanded(isExpanded ? panel : false)
  }

  const data = useMemo(
    () => [
      {
        summary: 'Случайный текст похож на гитарный перебор?',
        details:
          'Прежде всего, дальнейшее развитие различных форм деятельности предоставляет широкие возможности для дальнейших направлений развития. В своём стремлении повысить качество жизни, они забывают, что семантический разбор внешних противодействий представляет собой интересный эксперимент проверки инновационных методов управления процессами.',
      },
      {
        summary: 'Сплочённость команды профессионалов позволила расправить крылья?',
        details:
          'Прежде всего, дальнейшее развитие различных форм деятельности предоставляет широкие возможности для дальнейших направлений развития. В своём стремлении повысить качество жизни, они забывают, что семантический разбор внешних противодействий представляет собой интересный эксперимент проверки инновационных методов управления процессами.',
      },
      {
        summary: 'Консультация с широким активом продолжает удивлять?',
        details:
          'Прежде всего, дальнейшее развитие различных форм деятельности предоставляет широкие возможности для дальнейших направлений развития. В своём стремлении повысить качество жизни, они забывают, что семантический разбор внешних противодействий представляет собой интересный эксперимент проверки инновационных методов управления процессами.',
      },
      {
        summary: 'Франция намерена исследовать, почему был сорван доклад председателя совхоза?',
        details:
          'Прежде всего, дальнейшее развитие различных форм деятельности предоставляет широкие возможности для дальнейших направлений развития. В своём стремлении повысить качество жизни, они забывают, что семантический разбор внешних противодействий представляет собой интересный эксперимент проверки инновационных методов управления процессами.',
      },
      {
        summary: 'Курс на социально-ориентированный национальный проект попахивает безумием?',
        details:
          'Прежде всего, дальнейшее развитие различных форм деятельности предоставляет широкие возможности для дальнейших направлений развития. В своём стремлении повысить качество жизни, они забывают, что семантический разбор внешних противодействий представляет собой интересный эксперимент проверки инновационных методов управления процессами.',
      },
      {
        summary: 'Постоянный количественный рост определил дальнейшее развитие?',
        details:
          'Прежде всего, дальнейшее развитие различных форм деятельности предоставляет широкие возможности для дальнейших направлений развития. В своём стремлении повысить качество жизни, они забывают, что семантический разбор внешних противодействий представляет собой интересный эксперимент проверки инновационных методов управления процессами.',
      },
    ],
    []
  )

  return (
    <div className={s.root}>
      <ContentHeader
        title="Часто спрашивают"
        navText="На главную"
        inlineStyles={{ margin: '0 0 20px 0' }}
      />

      {data.map((item, idx) => (
        <Accordion
          key={idx}
          expanded={expanded === `panel${idx}`}
          onChange={handleChange(`panel${idx}`)}
        >
          <AccordionSummary
            expandIcon={expanded === `panel${idx}` ? <MinusIcon /> : <PlusIcon />}
            aria-controls={`panel${idx - 1}a-content`}
            id={`panel${idx - 1}a-header`}
          >
            <div className={s.summary}>{item.summary}</div>
          </AccordionSummary>
          <AccordionDetails>
            <div className={s.details}>{item.details}</div>
          </AccordionDetails>
        </Accordion>
      ))}
    </div>
  )
}
